.login { padding:30px 16px 160px; box-sizing:border-box; display:flex; flex-direction:column; align-items:center; }

.login .top { display:flex; justify-content:space-between; align-items:center; width:100%; box-sizing:border-box; padding:0 30px; margin-bottom:60px; }
.login .top p { margin-bottom:0; }
.login .top p.logo { font-size:0; line-height:0; display:flex; margin-bottom:0; }
.login .top p.logo a { border-radius:28px; padding:9px; margin-left:-9px; }
.login .top p.join a { color:rgba(0,0,0,.5); }

.login .form { text-align:left; width:100%; max-width:400px; }
.login .form h1 { font-size:30px; margin-bottom:40px; }
.login .form h3 { font-weight:700; }

.login .form input:not([type=checkbox]) { width:100%; height:59px; padding-left:15px; padding-right:15px; font-size:18px; }

.login .form .email { margin-bottom:26px; }
.login .form .email button { border:none; width:100%; text-align:left; background:var(--bluegrey-bg); padding:0 16px; font-size:18px; line-height:61px; display:flex; align-items:center; justify-content:space-between; }
.login .form .email button span { overflow:hidden; text-overflow:ellipsis; min-width:0; }
.login .form .email button:after { content:''; flex-shrink:0; background:url(/assets/svg/common/arrow-right.svg) no-repeat left center; width:7px; height:12px; margin-left:12px; }
.login .form .email button:hover { background:var(--bluegrey-bg-dark); }
.login .form .email button:active { background:var(--bluegrey-bg-darker); transform:scale(.98); }

.login .form p.remindpassword { margin:20px 0 -16px; }

.login .form p.vivid { margin-top:44px; }
.login .form p.vivid button { line-height:59px; width:100%; font-size:18px; }
.login .form p.vivid button:active { transform:scale(.98); }

.login .qrcode { text-align:center; border:1px solid #eee; padding:44px 14px; border-radius:14px; margin-bottom:36px; }
.login .qrcode p:first-of-type { margin-bottom:32px; }
.login .qrcode p#code img { margin:0 auto; mix-blend-mode:darken; }
.login .qrcode p.desc { margin-bottom:0; }

.login p.loginmethod { margin-top:30px; }
.login p.loginmethod button { line-height:57px; width:100%; border-color:rgba(0,0,0,.1); }
.login p.loginmethod button:active { transform:scale(.98); }